package xn.hxp.room.tool.cabinet;

import java.util.List;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.cabinet.Cabinet;
import xn.hxp.room.dao.cabinet.CabinetDao;

public enum CabinetTool {
    INSTANCE;

    private CabinetDao cabinetDao;

    CabinetTool() {
        cabinetDao = RoomTool.getInstance().cabinetDao();
    }

    public void insert(List<Cabinet> cabinetList) {
        cabinetDao.insert(cabinetList);
    }

    public void deleteAll() {
        cabinetDao.deleteAll();
    }

    public List<Cabinet> getCabinetList() {
        return cabinetDao.getCabinetList();
    }
}
